%define encrypt_version	3.0beta8
%define	rel	0.beta8.1
%define release %mkrel %{rel}

# (Abel) Now that gaim has stabilized API, we can relax the requirement
# a little bit; though it's still desirable to build the plugin with
# latest version of gaim
%define gaim_epoch		1
%define gaim_version		2.0.0
%define min_gaim_version	1:2.0.0

%if %{mdkversion} < 1010
        %define __libtoolize /bin/true
%endif

Summary:	Gaim extension, to use end to end encryption
Name:		gaim-encrypt
#Version:	%{gaim_version}_%{encrypt_version}
Version:	%{gaim_version}_3.0
Release:	%release
Group: 		Networking/Instant messaging
License:	GPL
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-buildroot
Url:		http://gaim-encryption.sourceforge.net/
Source0:	http://prdownload.sourceforge.net/gaim-encryption/gaim-encryption-%{encrypt_version}.tar.bz2
BuildRequires:  libnss-devel
BuildRequires:  nspr-devel
BuildRequires:	gtk+2-devel
BuildRequires:	gaim-devel = %{gaim_epoch}:%{gaim_version}
Requires:	gaim >= %{min_gaim_version}
Obsoletes:	gaim-encryption
Provides:	gaim-encryption = %{gaim_version}-%{release}

%description
This gaim plugin allows you to encrypt the message, 
only if the person on the other end use the same plugin.

%prep
%setup -q -n gaim-encryption-%encrypt_version
chmod 0644 README

%build
#(peroyvind) glib/gstdio.h doesn't exist in older releases
%if %mdkversion < 1020
mkdir glib
touch glib/gstdio.h
CPPFLAGS="-I`pwd`" \
%endif
export LD_LIBRARY_PATH=/usr/X11R6/%{_lib}
%configure2_5x
%make

%install
rm -rf %{buildroot}
%makeinstall_std
rm -rf %{buildroot}%{_libdir}/gaim/encrypt.{l,}a

%find_lang gaim-encryption

%files -f gaim-encryption.lang
%defattr(-,root,root)
%doc NOTES CHANGELOG TODO README WISHLIST
%{_libdir}/gaim/encrypt.so
%{_datadir}/pixmaps/gaim/gaim-encryption/crypto.png

%clean
rm -rf %{buildroot}


%changelog
* Thu Feb 15 2007 Götz Waschk <waschk@mandriva.org> 2.0.0_3.0-0.beta8.1mdv2007.0
+ Revision: 121291
- new version

* Sat Oct 28 2006 Götz Waschk <waschk@mandriva.org> 2.0.0_3.0-0.beta6.1mdv2007.1
+ Revision: 73601
- Import gaim-encrypt



* Sat Oct 28 2006 Gtz Waschk <waschk@mandriva.org> 2.0.0_3.0-0.beta6.1mdv2007.1
- new version

* Tue Apr 11 2006 Gtz Waschk <waschk@mandriva.org> 2.0.0_3.0-0.beta5.1mdk
- new version

* Sat Mar 11 2006 Pascal Terjan <pterjan@mandriva.org> 2.0.0_3.0-0.beta4.1mdk
- 3.0 beta4

* Wed Jan 25 2006 Pascal Terjan <pterjan@mandriva.org> 2.0.0_3.0-0.beta3.1mdk
- 3.0 beta3

* Wed Dec 27 2005 Pascal Terjan <pterjan@mandriva.org> 2.0.0_3.0-0.beta2.1mdk
- New version for Gaim 2.0 beta

* Sat Aug 13 2005 Pascal Terjan <pterjan@mandriva.org> 1.5.0_2.38-2mdk
- Now works fine with newer gaim without rebuild

* Sat Aug 13 2005 Pascal Terjan <pterjan@mandriva.org> 1.5.0_2.38-1mdk
- 1.5.0_2.38

* Wed Jul 20 2005 Nicolas Lcureuil <neoclust@mandriva.org> 1.4.0_2.38-1mdk
- 1.4.0_2.38

* Wed Jun 29 2005 Per Øyvind Karlsen <pkarlsen@mandriva.com> 1.3.1_2.38-3mdk
- provide gaim-encryption and obsolete it
- fix build on older releases
- %%mkrel

* Sat Jun 11 2005 Pascal Terjan <pterjan@mandriva.org> 1.3.1_2.38-1mdk
- 1.3.1_2.38

* Thu May 12 2005 Nicolas Lcureuil <neoclust@mandriva.org> 1.3.0_2.36-1mdk
- 1.3.0_2.36

* Wed Apr 20 2005 Pascal Terjan <pterjan@mandrake.org> 1.2.1_2.36-1mdk
- 1.2.1_2.36

* Sun Feb 20 2005 Stefan van der Eijk <stefan@eijk.nu> 1.1.3_2.34-2mdk
- fix bug #6574

* Sun Feb 20 2005 Pascal Terjan <pterjan@mandrake.org> 1.1.3_2.34-1mdk
- 1.1.3_2.34

* Sun Jan 23 2005 Pascal Terjan <pterjan@mandrake.org> 1.1.2_2.33-1mdk
- 1.1.2_2.33

* Sat Jan 01 2005 Abel Cheung <deaddog@mandrake.org> 1.1.1_2.32-1mdk
- This plugin expects build-time and run-time gaim version to match,
  hence limiting runtime gaim version
- Rebuild for gaim 1.1.1

* Sun Dec 05 2004 Pascal Terjan <pterjan@mandrake.org> 1.1.0_2.32-1mdk
- 1.1.0_2.32

* Mon Nov 15 2004 Abel Cheung <deaddog@mandrake.org> 1.0.3_2.32-1mdk
- Relax requirement
- 64bit arch aware lib path detection
- Remove locale hack (upstream)

* Tue Nov 09 2004 Pascal Terjan <pterjan@mandrake.org> 1.0.2_2.32-1mdk
- 1.0.2_2.32

* Mon Aug 30 2004 Pascal Terjan <pterjan@mandrake.org> 0.82.1_2.30-1mdk
- 0.82.1_2.30
- add translations from cvs

* Fri Aug 27 2004 Pascal Terjan <pterjan@mandrake.org> 0.82_2.30-1mdk
- 0.82_2.30

* Fri Aug 13 2004 Pascal Terjan <pterjan@mandrake.org> 0.81_2.29-1mdk
- 0.81_2.29

* Sun Jul 18 2004 Charles A Edwards <eslrahc@mandrake.org> 0.80_2.28-1mdk
- 0.80_2.28
- drop query of gaim version....it needs the specific version
- add version to BuildRequires
- add lang

* Thu Jul 01 2004 Pascal Terjan <pterjan@mandrake.org> 0.79_2.27-3mdk
- allow building on stable
- add Epoch in require...

* Wed Jun 30 2004 Pascal Terjan <pterjan@mandrake.org> 0.79_2.27-2mdk
- protect %% inside %%(

* Mon Jun 28 2004 Pascal Terjan <pterjan@mandrake.org> 0.79_2.27-1mdk
- gaim 0.79
- gaim-encryption 2.27
- split gaim-encryption into a separate package

* Thu Jun 10 2004 Pascal Terjan <pterjan@mandrake.org> 0.78-4mdk
- Rebuild for evolution-data-server

* Thu Jun 03 2004 Pascal Terjan <pterjan@mandrake.org> 0.78-3mdk
- Allow rebuilding on stable version

* Mon May 31 2004 Abel Cheung <deaddog@deaddog.org> 0.78-2mdk
- More epoch fixes
- Enable and split tcl plugin
- Drop source100, use ImageMagick to convert icons
- Don't remove locale, en_CA is valid!
- Update festival plugin

* Mon May 31 2004 Pascal Terjan <pterjan@mandrake.org> 0.78-1mdk
- gaim-encryption 2.26
- stop removing libtoolize
- fix invalid-lc-messages-dir (en_CA)
- 0.78

* Fri Apr 30 2004 Pascal Terjan <pterjan@mandrake.org> 0.77-2mdk
- gaim-encryption 2.25 to fix plugin loading due to API mismatch
- gaim festival 0.77 (Does not fix API mismatch :( )

* Fri Apr 23 2004 Pascal Terjan <pterjan@mandrake.org> 0.77-1mdk
- 0.77
- move gevolution plugin into a separate package

* Sat Apr 03 2004 Pascal Terjan <pterjan@mandrake.org> 0.76-1mdk 
- 0.76
- drop Patch2

* Wed Feb 25 2004 Pascal Terjan <pterjan@mandrake.org> 0.75-5mdk
- add missing Epoch in libgaim-remote0-devel Require

* Tue Feb 24 2004 Pascal Terjan <pterjan@mandrake.org> 0.75-4mdk
- use epoch in subpackages Requires 

* Tue Jan 27 2004 Pascal Terjan <pterjan@mandrake.org> 0.75-3mdk
- Update patch0 to remove :/ as this smiley appears in urls

* Tue Jan 27 2004 Pascal Terjan <pterjan@mandrake.org> 0.75-2mdk
- Security fix

* Sun Jan 11 2004 Pascal Terjan <pterjan@mandrake.org> 0.75-1mdk
- 0.75
- gaim-encryption 2.19
- Drop patch2
- Update patch0

* Sun Dec 14 2003 Pascal Terjan <CMoi@tuxfamily.org> 0.74-2mdk
- Apply patch to fix a memory leak

* Wed Nov 26 2003 Laurent Culioli <laurent@pschit.net> 0.74-1mdk
- 0.74

* Tue Nov 25 2003 Laurent Culioli <laurent@pschit.net> 0.73-2mdk
- *oups* reenable nss 

* Tue Nov 25 2003 Laurent Culioli <laurent@pschit.net> 0.73-1mdk
- gaim 0.73
- gaim-encryption 2.18
- Michael Scherer <misc@mandrake.org>
	o split package in gaim-perl, gaim-festival, and gaim-encrypt
	o move licq2gaim to doc, to not depend on perl

* Sun Nov 16 2003 Abel Cheung <deaddog@deaddog.org> 0.72-3mdk
- gaim-encryption 2.17
- Remove patch1, gaim don't want any version of tcl other than 8.3,
  otherwise segfault
- Use shorter longtitle from .desktop file, it isn't nice to be too long
- Update and fix buildrequires (for 64bit)
- Patch0: Eliminate ':/' from smiley patch, otherwise it was interpreting
  :/ in URL as smiley (such as http://)
- Add festival plugin
- New Patch1: Use Mandrake provided CFLAGS instead of hardcoded one in
  festival plugin
- Get back Gwenole's changelog entry ( with some modification :-( )

* Tue Nov 11 2003 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 0.72-2mdk
- rebuild for new perl
- rm -rf $RPM_BUILD_ROOT at the beginning of %%install
- fix compile against tcl 8.4(P2)
- cleanups

* Wed Nov 05 2003 Laurent Culioli <laurent@pschit.net> 0.72-1mdk
- gaim 0.72
- gaim-encryption 2.16

* Thu Oct 16 2003 Laurent Culioli <laurent@pschit.net> 0.71-1mdk
- gaim 0.71 
- gaim-encryption 2.15
- regenerate smiley patch

* Tue Oct 14 2003 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 0.68-2mdk
- 64-bit & deps fixes
- nuke unpackaged files

* Wed Sep 03 2003 Laurent Culioli <laurent@pschit.net> 0.68-1mdk
- fix encryption compilation
- add some perl files
- gaim 0.68
- gaim-encryption 2.10

* Tue Aug 26 2003 Laurent Culioli <laurent@pschit.net> 0.67-2mdk
- gaim-encrypt is back ! ( 2.08 )

* Mon Aug 25 2003 Laurent Culioli <laurent@pschit.net> 0.67-1mdk
- 0.67
- drop preference segfault patch
- drop encrypt patch ( gaim-encrypt is now a separate package )

* Sun Aug 10 2003 Laurent Culioli <laurent@pschit.net> 0.66-2mdk
  -Abel Cheung <maddog@linux.org.hk> 
    o Patch3: Encrypt plugin was not linking with libnss3

* Wed Aug  6 2003 Austin Acton <aacton@yorku.ca> 0.66-1mdk
- from Abel Cheung <maddog@linux.org.hk> :
  - 0.66, rebuilt against perl 5.8.1
  - encryption patch 2.02
  - Revert encryption patch to vanilla source form, so patches
    can be more easily inspected
  - Patch2: patch that comes from encryption support against gaim,
    modified to detect nss/nspr headers properly
  - Patch1: avoid segfault when converting preference to new style one
  - enable nas support
  - BuildRequires
  - Split gaim-remote libraries/devel files as sub-package

* Tue Jul 29 2003 Pixel <pixel@mandrakesoft.com> 0.64-3mdk
- when requiring the perl-base used for building, include the epoch

* Thu Jul 17 2003 David BAUDENS <baudens@mandrakesoft.com> 0.64-2mdk
- Rebuild

* Mon Jun 16 2003 Nicolas Planel <nplanel@mandrakesoft.com> 0.64-1mdk
- 0.64.
- remove autoadd hack.
- encrypt 1.20.

* Wed May 07 2003 Lenny Cartier <lenny@mandrakesoft.com> 0.62-2mdk
- remove disable-screensaver ( David Walser )
- change the buttons behavior in gaim-encrypt patch ( David Walser )

* Fri May 02 2003 Lenny Cartier <lenny@mandrakesoft.com> 0.62-1mdk
- from Raymond Rubicam <raymond_rubicam@redlands.edu> : 
	- Updated to gaim 0.62 source.

* Sun Apr 22 2003 Laurent Culioli <laurent@pschit.net> 0.61-2mdk
- Buildrequires

* Mon Apr 14 2003 Nicolas Planel <nplanel@mandrakesoft.com> 0.61-1mdk
- 0.61.
- fix smiley patch. (#3737)

* Mon Apr 07 2003 Nicolas Planel <nplanel@mandrakesoft.com> 0.60-3mdk
- re-include old patch (smiley,autoadd,encrypt).
- update gaim-encrypt to 1.17.

* Sun Apr 06 2003 Laurent Culioli <laurent@pschit.net> 0.60-2mdk
- Obsoletes hackgaim <= 0.60

* Sun Apr 06 2003 Laurent Culioli <laurent@pschit.net> 0.60-1mdk
- 0.60
- merge with David Walluck specfile 
- clean specfile
- drop gaim-applet subpackage

* Wed Apr 02 2003 Nicolas Planel <nplanel@mandrakesoft.com> 0.59.9-1mdk
- update to 0.59.9.
- Add encrypt plugin support. (http://gaim-encryption.sourceforge.net)

* Mon Jan 20 2003 Nicolas Planel <nplanel@mandrakesoft.com> 0.59.8-2mdk
- fix autoadd plugin (segfault when you send message :( )

* Tue Jan 14 2003 Chmouel Boudjnah <chmouel@mandrakesoft.com> 0.59.8-1mdk
- Bump to version 0.59.8 (fix yahoo connection).

* Sun Dec 29 2002 Sylvestre Taburet <staburet@mandrakesoft.com> 0.59.6-1mdk
- update to 0.59.7

* Tue Nov 12 2002 Sylvestre Taburet <staburet@mandrakesoft.com> 0.59.6-1mdk
- update to 0.59.6

* Tue Oct 17 2002 Sylvestre Taburet <staburet@mandrakesoft.com> 0.59.5-1mdk
- update to 0.59.5

* Mon Oct 07 2002 Sylvestre Taburet <staburet@mandrakesoft.com> 0.59.4-1mdk
- update to 0.59.4

* Thu Sep 26 2002 Sylvestre Taburet <staburet@mandrakesoft.com> 0.59.3-1mdk
- update to 0.59.3

* Tue Sep 10 2002 Sylvestre Taburet <staburet@mandrakesoft.com> 0.59.2-1mdk
- update to 0.59.2

* Sat Sep  7 2002 Pixel <pixel@mandrakesoft.com> 0.59.1-2mdk
- rebuild (to have a release greater than 8.2 update)

* Tue Aug 27 2002 Vincent Danen <vdanen@mandrakesoft.com> 0.59.1-1mdk
- 0.59.1 (aka security fix)
- remove P3 (fixed upstream)

* Sun Aug 11 2002 Pixel <pixel@mandrakesoft.com> 0.59-7mdk
- patch to fix segfault with perl thread-multi (by Timothy Lee, thanks to David Walser)

* Fri Aug  9 2002 Pixel <pixel@mandrakesoft.com> 0.59-6mdk
- disable perl extensions (if someone knows better, please help)

* Tue Aug  6 2002 Pixel <pixel@mandrakesoft.com> 0.59-5mdk
- fix build and rebuild for perl thread-multi

* Mon Jul 15 2002 Geoffrey Lee <snailtalk@mandrakesoft.com> 0.59-4mdk
- Rebuild without Arts.
- Enable soundwrapper.

* Wed Jul 10 2002 Pixel <pixel@mandrakesoft.com> 0.59-3mdk
- rebuild for perl 5.8.0

* Sun Jun 30 2002 Geoffrey Lee <snailtalk@mandrakesoft.com> 0.59-2mdk
- Arts is back.

* Fri Jun 28 2002 Yves Duret <yduret@mandrakesoft.com> 0.59-1mdk
- new upstream release 0.59.

* Thu May 23 2002 Yves Duret <yduret@mandrakesoft.com> 0.58-1mdk
- version 0.58
- fix specfile (two changelog ???).
- patch configure.ac to no more -I/usr/local/include
- temporaly disable applet cause build broken (not ported yet to GNOME2) with a condif build %%applet.
- rewrite menu longdescription.
- macros were ceated to be used.
- png icons.
- one buildrequires per line.

* Wed Mar 27 2002 Geoffrey Lee <snailtalk@mandrakesoft.com> 0.54-3mdk
- Group fix for applet.

* Wed Mar 27 2002 Geoffrey Lee <snailtalk@mandrakesoft.com> 0.54-2mdk
- Merge in changes from Bryan (see below).
- Note that the smiley patch was never removed.
- Fixups to the gnome applet filelist.
- New and shiny 0.54.

* Fri Feb  1 2002 Adrien Demarez <ademarez@mandrakesoft.com> 0.51-1mdk
- Updated gaim

* Mon Jan  7 2002 Chmouel Boudjnah <chmouel@mandrakesoft.com> 0.50-3mdk
- Add autoadd module.

* Tue Dec 18 2001 Geoffrey Lee <snailtalk@mandrakesoft.com> 0.50-2mdk
- Oops. Really apply the smiley patch.

* Tue Dec 18 2001 Geoffrey Lee <snailtalk@mandrakesoft.com> 0.50-1mdk
- Upped to 0.50.
- Add chmou patch with modifications for smileys.

* Tue Dec  4 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 0.49-2mdk
- Add licq2gaim script also.

* Fri Nov 30 2001 Sylvestre Taburet <staburet@mandrakesoft.com> 0.49-1mdk
- upped to 0.49

* Wed Nov 28 2001 Geoffrey Lee <snailtalk@mandrakesoft.com> 0.48-2mdk
- Make Chmou happy by replacing an ugly define with a cleaner one (thx chmou).

* Sat Nov 17 2001 Geoffrey Lee <snailtalk@mandrakesoft.com> 0.48-1mdk
- 0.48 hot from the oven.

* Sun Nov 04 2001 Geoffrey Lee <snailtalk@mandrakesoft.com> 0.47-1mdk
- The new and shiny 0.47.

* Sat Oct 20 2001 Geoffrey Lee <snailtalk@mandrakesoft.com> 0.46-1mdk
- Presenting the all-new 0.46.
- Use Epoch to please Lord Rpmlint.

* Mon Oct 01 2001 Stefan van der Eijk <stefan@eijk.nu> 0.44-2mdk
- BuildRequires: perl-devel
- Remove redundant BuildRequires

* Fri Sep 28 2001 Geoffrey Lee <snailtalk@mandrakesoft.com> 0.44-1mdk
- Presenting the newest gaim 0.44.
- Fix file list: There is no such file called PROTOCOL.

* Tue Sep 11 2001 Vincent Saugey <vince@mandrakesoft.com> 0.43-1mdk
- New version

* Sat Aug  4 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 0.11.0-0.pre14.1mdk
- pre14.

* Sat Aug  4 2001 Pixel <pixel@mandrakesoft.com> 0.11.0-0.pre11.2mdk
- add require the perl-base used for building (the libperl.so
  auto-require is not enough)

* Fri May 18 2001 Geoffrey Lee <snailtalk@mandrakesoft.com> 0.11.0-0.pre11.1mdk
- New and shiny source.
- Fix the release number. This would mean that we would have to add a 
  Serial: for the time being :(, but at least this is more sane than before.
- Gaim homepage has now moved over to SourceForge.

* Thu Apr 12 2001 Vincent Saugey <vince@mandrakesoft.com> 0.11.0pre7-2mdk
- Adding BuildRequires gettext, gtkdevel (Thanks to Don Head)

* Fri Mar 23 2001 Vincent Saugey <vince@mandrakesoft.com> 0.11.0pre7-1mdk
- Up to new version

* Fri Mar 23 2001 Vincent Saugey <vince@mandrakesoft.com> 0.11.0pre4-4mdk
- Change group for make fred (crozat) happy.

* Tue Feb 27 2001 Jeff Garzik <jgarzik@mandrakesoft.com> 0.11.0pre4-3mdk
- Fix build on glibc.
- Do not build useless static libs.
- Use macros for make and configure.
- Run autoconf/make tools in prep stage
- Remove COPYING from docs, require common-licenses

* Tue Feb 13 2001 Vincent Saugey <vince@mandrakesoft.com> 0.11.0pre4-2mdk
- Corrected menu section

* Mon Feb 12 2001 Vincent Saugey <vince@mandrakesoft.com> 0.11.0pre4-1mdk
- Up to new version

* Tue Oct 10 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 0.10.3-1mdk
- up to 0.10.3

* Tue Sep 26 2000 Daouda Lo <daouda@mandrakesoft.com> 0.9.20-5mdk
- menu title should begin with capital letter.
- ICQ section was replaced by Instant messaging.
 
* Thu Sep  7 2000 Vincent Saugey <vince@mandrakesoft.com> 0.9.20-4mdk
- Adding small and large icons

* Tue Aug 29 2000 Vincent Saugey <vince@mandrakesoft.com> 0.9.20-3mdk
- Change icon for menu

* Mon Aug 07 2000 Frederic Lepied <flepied@mandrakesoft.com> 0.9.20-2mdk
- automatically added BuildRequires

* Mon Jul 17 2000 Vincent Saugey <vince@mandrakesoft.com> 0.9.20-1mdk
- up to 0.9.20

* Fri Jun 23 2000 Vincent Saugey <vince@mandrakesoft.com> 0.9.19-1mdk
- 0.9.19

* Thu Jun  8 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 0.9.18-1mdk
- 0.9.18
- minor fixes in specfile

* Fri Apr 28 2000 Daouda Lo <daouda@mandrakesoft.com> 0.9.11-3mdk
- add 32*32 icon

* Fri Mar 31 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 0.9.11-2mdk
- Don't +x the menu entries.

* Fri Mar 31 2000 John Buswell <johnb@mandrakesoft.com> 0.9.11-1mdk
- v0.9.11
- Added menu
- fixed group
- spec-helper

* Wed Nov 03 1999 John Buswell <johnb@mandrakesoft.com>
Build Release

* Tue Nov 02 1999 Lenny Cartier <lenny@mandrakesoft.com>
v0.9.9

* Wed Oct 13 1999 Lenny Cartier <lenny@mandrakesoft.com>
- Specfile adaptations.
